<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load the K2 Plugin API
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.'/components/com_k2/lib/k2plugin.php');

class plgK2s2s_k2 extends K2Plugin
{

	// Some params
	var $pluginName = 's2s_k2';
	var $pluginNameHumanReadable = 'social2s K2 Plugin';



	function __construct(&$subject, $params)
	{
		parent::__construct($subject, $params);
	}

	function onK2AfterDisplayTitle(&$item, &$params, $limitstart)
	{

		$jinput = JFactory::getApplication()->input;
		$view = $jinput->get('view');
		
		//if($view != 'item') return;

		//$mainframe = JFactory::getApplication();
		//return '';
		JPluginHelper::importPlugin('content','social2s');
		$plugin = JPluginHelper::getPlugin('content', 'social2s');
        $dispatcher = JDispatcher::getInstance();
        $s2s_params = new JRegistry($plugin->params);

        $go = true;

		if($s2s_params->get('s2s_k2','0') == 0) $go = false;
		if($s2s_params->get('s2s_k2_after_title','0') == 0) $go = false;

		if($view=='item'){
			if($s2s_params->get('s2s_k2_item','1') == '0') $go = false;
		}
		
		if($view=='itemlist'){
			if($s2s_params->get('s2s_k2_itemlist','1') == '0') $go = false;
		}

		if($s2s_params->get('s2s_k2_module','0') == '0'){

			if($params->exists('moduleclass_sfx')){
				$go = false;
			}
		}

		if($go){
			$result = $dispatcher->trigger('onK2', array('k2.'.$view, &$item, &$s2s_params));
			if(count($result)>=1){
				return $result[0];
			}
		}

  		return;
	}

	function onK2AfterDisplayContent(&$item, &$params, $limitstart)
	{
		//$mainframe = JFactory::getApplication();
		//return '';
		$jinput = JFactory::getApplication()->input;
		$view = $jinput->get('view');

		
		JPluginHelper::importPlugin('content','social2s');
		$plugin = JPluginHelper::getPlugin('content', 'social2s');
        $dispatcher = JDispatcher::getInstance();
        $s2s_params = new JRegistry($plugin->params);
  
        $go = true;

		if($s2s_params->get('s2s_k2','0') == 0) $go = false;
		if($s2s_params->get('s2s_k2_after_content','0') == 0) $go = false;

		if($view=='item'){
			if($s2s_params->get('s2s_k2_item','1') == '0') $go = false;
		}
		
		if($view=='itemlist'){
			if($s2s_params->get('s2s_k2_itemlist','1') == '0') $go = false;
		}


		if($s2s_params->get('s2s_k2_module','0') == '0'){

			if($params->exists('moduleclass_sfx')){
				$go = false;
			}
		}

		if($go){
			$result = $dispatcher->trigger('onK2', array('k2.'.$view, &$item, &$s2s_params));
			if(count($result)>=1){
				return $result[0];
			}
		}

	} 

	function onK2BeforeDisplayContent(&$item, &$params, $limitstart)
	{
		$jinput = JFactory::getApplication()->input;
		$view = $jinput->get('view');

		//only items
		//if($view != 'item') return;

		//$mainframe = JFactory::getApplication();
		//return '';
		JPluginHelper::importPlugin('content','social2s');
		$plugin = JPluginHelper::getPlugin('content', 'social2s');
        $dispatcher = JDispatcher::getInstance();
        $s2s_params = new JRegistry($plugin->params);
  
        $go = true;

		if($s2s_params->get('s2s_k2','0') == 0) $go = false;
		if($s2s_params->get('s2s_k2_before_content','0') == 0) $go = false;

		if($view=='item'){
			if($s2s_params->get('s2s_k2_item','1') == '0') $go = false;
		}
		
		if($view=='itemlist'){
			if($s2s_params->get('s2s_k2_itemlist','1') == '0') $go = false;
		}

		if($s2s_params->get('s2s_k2_module','0') == '0'){

			if($params->exists('moduleclass_sfx')){
				$go = false;
			}
		}

		if($go){
			$result = $dispatcher->trigger('onK2', array('k2.'.$view, &$item, &$s2s_params));
			if(count($result)>=1){
				return $result[0];
			}
		}

	}



}
